For the complete documentation index, see llms.txt. This page is also available as Markdown.

GetCardsByBatchNumber

The "GetCardsByBatchNumber" endpoint allows customers to retrieve all card records tied to a specific batch number.

GET /api/Card/v{{version}}/Providus/GetCardsByBatchNumber

Provide the batchno as a query parameter to retrieve its associated card records.

Headers

Name
Value

Content-Type*

application/json

Request-Reference

unique_string

Query Params

Name
Required/Optional
Description

batchno

The batch number to retrieve associated card records for.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g --request GET '{{baseUrl}}/api/Card/v{{version}}/Providus/GetCardsByBatchNumber?batchno=123456' \
--header 'Content-Type: application/json' \
--data '{
  "startDate": null,
  "endDate": null,
  "pageNumber": null,
  "pageSize": null,
  "accountNumber": "1000071961",
  "status": null,//InActive = 0, Active = 1, Paused = 2, Blocked = 3
  "customerID": null,
  "cardId": null,
  "cardholderId": null,
  "cardProgramId": null,
  "maskedPAN": null,
  "lastFour": null,
  "bin": null,
  "thirdPartyProvider": 2
}'
Response: 200
{
  "data": {
    "data": [
      {
        "id": "b6adc86a-750d-436a-9625-b35400c5ed58",
        "dateCreated": "2025-09-10T13:00:37.8333333",
        "dateLastModified": null,
        "bankCode": "100001",
        "cardholderId": "9cc89c4e-06f5-4320-8417-9597f5773ad8",
        "cardProgramId": 0,
        "nameOnCard": "OLADELE Olalekan",
        "accounts": null,
        "cardId": "76b0c321-9376-4bde-b4e6-f4740189ed40",
        "cardNumber": null,
        "accountNumber": "1000071961",
        "maskedPAN": "346754*********1785",
        "lastFour": "1785",
        "bin": null,
        "pan": null,
        "cvv": null,
        "cardCreationDate": "10/09/2025 12:00:37",
        "cardExpiration": "02/26",
        "state": null,
        "type": "Instant",
        "status": "Active",
        "canSetPin": false,
        "canChangePin": false,
        "isPinSet": null
      }
    ],
    "recordCount": 1
  },
  "status": true,
  "message": "Request successful"
}

Last updated